Show / Hide Table of Contents

# Class EntryPoint

The main entrypoint for the Dalamud system.

##### Inheritance

System.Object
EntryPoint

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class EntryPoint

### Methods

| Improve this Doc View Source

#### Initialize(IntPtr)

Initialize Dalamud.

##### Declaration

    public static void Initialize(IntPtr infoPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | infoPtr | Pointer to a serialized DalamudStartInfo data.